## Bit By Bit Developers CAD library for THREEJS game engine

<img src="https://app.bitbybit.dev/assets/git-cover.png" alt="Picture showing bitbybit.dev platform">

This project exposes 3D algorithms of Bit By Bit Developers platform through THREEJS game engine. Code is open-sourced under MIT license.

Visit https://bitbybit.dev to use our full cloud platform.

## Github
https://github.com/bitbybit-dev/bitbybit/tree/master/packages/dev/threejs
## NPM
https://www.npmjs.com/package/@bitbybit-dev/threejs

## THREEJS Example Applications
Vase   
https://app-store.bitbybit.dev/vase   
Github Source Code - https://github.com/bitbybit-dev/app-examples/tree/main/react/threejs/vase   

## Other Example Applications
Laptop Holder   
https://app-store.bitbybit.dev/laptop-holder    
Github Source Code Angular - https://github.com/bitbybit-dev/app-examples/tree/main/angular/laptop-holder   
Github Source Code React - https://github.com/bitbybit-dev/app-examples/tree/main/react/laptop-holder   
  
Cup Configurator    
https://app-store.bitbybit.dev/cup
Github Source Code - https://github.com/bitbybit-dev/app-examples/tree/main/react/cup  

## Closed Source Example Applications
https://app-store.bitbybit.dev/terrace-furniture

## Build package
npm run build-p

## Run unit tests and generate test coverage
npm run test-c

## Run live unit tests and generate test coverage on save
npm run test-c-l

## Unit test coverage report online
https://tests.bitbybit.dev/threejs

## Media Channels
Discord: https://discord.gg/GSe3VMe  
Youtube: https://www.youtube.com/@bitbybitdev?sub_confirmation=1  
Instagram: https://www.instagram.com/bitbybit.dev  
Twitter: https://twitter.com/bitbybit_dev  
LinkedIn: https://lnkd.in/gQjEQA2  
Facebook: https://www.facebook.com/bitbybitdev  
Medium: https://bitbybit-dev.medium.com/  

## Principles
Bit By Bit Developers company will keep these core algorithms that you can find in this repository free and opensource for its users. These algorithms are based on other open-source projects, run and are deployed on the browser, thus there is no point of closing them down from public.

## About Bit By Bit Developers platform
Bit By Bit Developers web platform allows creators to program geometry through simple visual programming language or choose monaco typescript editor with full intellisense of bitbybit API. This cloud platform can fulfil many practical, educational and artistic needs of its users. Through familiar programming interface used in tools such as Scratch and Blockly.Games we expose powerful 3D algorithms that make it easier to implement various parametric tasks. Our goal is to make it very simple for users to share their ideas and designs. We want to encourage everyone to engage in the future of this tool.

## Major Dependencies
THREEJS, OpenCascade, JSCAD, Verbnurbs